Subject: Hoyas!

From: "E. Gilding" <[email-masked]>
Date: 3 Mar 1995 21:47:19 GMT

For those of you who have access to Horticulture magazine check out
the Feburary issue for an article on Hoyas, an excellent article
by Christine Burton, leader of the Hoya Society International.